Create Category

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API creates a new template category within a template library (My Templates or Org Templates).

Endpoints

OAuth Scope

WorkDrive.libraries.categories.CREATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/category \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"category_name":"Marketing","library_id":"ly9zm3c10f18ca7e3422db10f5b335d33b0cc"},"type":"category"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
category_namestring(Required)

Name of the category

library_idstring(Required)

The template library ID of My Templates/Org Templates where the category is to be created

typestring(Required)

The JSON:API resource type. Always "category".

Allowed Values :
Show Values
categoryCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "category_name": "Marketing",
        "library_id": "ly9zm3c10f18ca7e3422db10f5b335d33b0cc"
      },
      "type": "category"
    }
  }
                
Show full

Response Example

TL001

201
201
400
Copied!
  {
    "data": {
      "id": "ntp2o497e00aef2944ab3a752b16d5f2a0197",
      "type": "category",
      "attributes": {
        "category_name": "My Category 8",
        "library_id": "ntp2oe1674ac34a8f429aa9ad52e2c55de8a8",
        "status": 1
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/category/ntp2o497e00aef2944ab3a752b16d5f2a0197"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "TL001",
        "title": "Unable to create Template Category"
      }
    ]
  }
                
Show full